# OpenSQLManager » \OpenSQLManager\Connection_Sidebar
Author: Mike van Riel

Widget managing saved database connections

package | OpenSQLManager
subpackage | Widgets

### Methods

## Constructor method

    __construct($parent)

### Parameters

#### $parent

``

wxWindow

## Add the existing items to the connection sidebar

    _layout() : void

## Handles an event for adding a connection

    add_conn($event) : void

### Parameters

#### $event

``

wxEvent

## Return the current instance of the class

    get_instance($parent) : \OpenSQLManager\Connection_Sidebar

### Parameters

#### $parent

``

wxWindow

### Returns

`\OpenSQLManager\Connection_Sidebar`

## Connect to the database for data display/manipulation

    open_connection($event) : void

### Parameters

#### $event

``

wxEvent

### Properties

## Reference to the parent of the current object

    $parent : object

## Reference to popup menu

    $menu : \OpenSQLManager\wxMenu

## Reference to Settings instance

    $settings : \OpenSQLManager\Settings

## Name of current db connection

    $conn_name : string

## Reference to the image list control that holds connection images

    $img_list : \OpenSQLManager\wxImageList

## Singleton instance

    $instance : \OpenSQLManager\Connection_Sidebar

## Reference to the list control that holds the connections

    $list : \OpenSQLManager\wxListCtrl

### Constants

## BTN_ADD

    BTN_ADD